
package eu.dnetlib.dhp.skgif.model;

/**
 * @author miriam.baglioni
 * @Date 04/04/24
 */
/**
 * @author miriam.baglioni
 * @Date 04/04/24
 */
import java.io.Serializable;

import org.apache.commons.lang3.StringUtils;

public class DownloadsAndViews implements Serializable {
	private String views;
	private String downloads;

	public String getViews() {
		return views;
	}

	public void setViews(String views) {
		this.views = views;
	}

	public String getDownloads() {
		return downloads;
	}

	public void setDownloads(String downloads) {
		this.downloads = downloads;
	}

	public static DownloadsAndViews newInstance(String views, String downloads) {
		DownloadsAndViews uc = new DownloadsAndViews();
		uc.setViews(views);
		uc.setDownloads(downloads);
		return uc;
	}

	public boolean isEmpty() {
		return StringUtils.isEmpty(this.downloads) || StringUtils.isEmpty(this.views);
	}

}
